Index: c/src/ada/rtems.ads
===================================================================
--- c/src/ada/rtems.ads	(revision c1ef8346c35b6694fabfadd334b301ac41592c8d)
+++ c/src/ada/rtems.ads	(revision 4c3340ced8ad09f24b7c285ef481ba8622501785)
@@ -452,37 +452,38 @@
    --
 
-   All_Events : constant RTEMS.Event_Set := 16#7FFFFFFF#;
-   Event_0    : constant RTEMS.Event_Set := 16#00000001#;
-   Event_1    : constant RTEMS.Event_Set := 16#00000002#;
-   Event_2    : constant RTEMS.Event_Set := 16#00000004#;
-   Event_3    : constant RTEMS.Event_Set := 16#00000008#;
-   Event_4    : constant RTEMS.Event_Set := 16#00000010#;
-   Event_5    : constant RTEMS.Event_Set := 16#00000020#;
-   Event_6    : constant RTEMS.Event_Set := 16#00000040#;
-   Event_7    : constant RTEMS.Event_Set := 16#00000080#;
-   Event_8    : constant RTEMS.Event_Set := 16#00000100#;
-   Event_9    : constant RTEMS.Event_Set := 16#00000200#;
-   Event_10   : constant RTEMS.Event_Set := 16#00000400#;
-   Event_11   : constant RTEMS.Event_Set := 16#00000800#;
-   Event_12   : constant RTEMS.Event_Set := 16#00001000#;
-   Event_13   : constant RTEMS.Event_Set := 16#00002000#;
-   Event_14   : constant RTEMS.Event_Set := 16#00004000#;
-   Event_15   : constant RTEMS.Event_Set := 16#00008000#;
-   Event_16   : constant RTEMS.Event_Set := 16#00010000#;
-   Event_17   : constant RTEMS.Event_Set := 16#00020000#;
-   Event_18   : constant RTEMS.Event_Set := 16#00040000#;
-   Event_19   : constant RTEMS.Event_Set := 16#00080000#;
-   Event_20   : constant RTEMS.Event_Set := 16#00100000#;
-   Event_21   : constant RTEMS.Event_Set := 16#00200000#;
-   Event_22   : constant RTEMS.Event_Set := 16#00400000#;
-   Event_23   : constant RTEMS.Event_Set := 16#00800000#;
-   Event_24   : constant RTEMS.Event_Set := 16#01000000#;
-   Event_25   : constant RTEMS.Event_Set := 16#02000000#;
-   Event_26   : constant RTEMS.Event_Set := 16#04000000#;
-   Event_27   : constant RTEMS.Event_Set := 16#08000000#;
-   Event_28   : constant RTEMS.Event_Set := 16#10000000#;
-   Event_29   : constant RTEMS.Event_Set := 16#20000000#;
-   Event_30   : constant RTEMS.Event_Set := 16#40000000#;
-   Event_31   : constant RTEMS.Event_Set := 16#80000000#;
+   Pending_Events : constant RTEMS.Event_Set := 16#0000_0000#;
+   All_Events     : constant RTEMS.Event_Set := 16#FFFF_FFFF#;
+   Event_0        : constant RTEMS.Event_Set := 16#0000_0001#;
+   Event_1        : constant RTEMS.Event_Set := 16#0000_0002#;
+   Event_2        : constant RTEMS.Event_Set := 16#0000_0004#;
+   Event_3        : constant RTEMS.Event_Set := 16#0000_0008#;
+   Event_4        : constant RTEMS.Event_Set := 16#0000_0010#;
+   Event_5        : constant RTEMS.Event_Set := 16#0000_0020#;
+   Event_6        : constant RTEMS.Event_Set := 16#0000_0040#;
+   Event_7        : constant RTEMS.Event_Set := 16#0000_0080#;
+   Event_8        : constant RTEMS.Event_Set := 16#0000_0100#;
+   Event_9        : constant RTEMS.Event_Set := 16#0000_0200#;
+   Event_10       : constant RTEMS.Event_Set := 16#0000_0400#;
+   Event_11       : constant RTEMS.Event_Set := 16#0000_0800#;
+   Event_12       : constant RTEMS.Event_Set := 16#0000_1000#;
+   Event_13       : constant RTEMS.Event_Set := 16#0000_2000#;
+   Event_14       : constant RTEMS.Event_Set := 16#0000_4000#;
+   Event_15       : constant RTEMS.Event_Set := 16#0000_8000#;
+   Event_16       : constant RTEMS.Event_Set := 16#0001_0000#;
+   Event_17       : constant RTEMS.Event_Set := 16#0002_0000#;
+   Event_18       : constant RTEMS.Event_Set := 16#0004_0000#;
+   Event_19       : constant RTEMS.Event_Set := 16#0008_0000#;
+   Event_20       : constant RTEMS.Event_Set := 16#0010_0000#;
+   Event_21       : constant RTEMS.Event_Set := 16#0020_0000#;
+   Event_22       : constant RTEMS.Event_Set := 16#0040_0000#;
+   Event_23       : constant RTEMS.Event_Set := 16#0080_0000#;
+   Event_24       : constant RTEMS.Event_Set := 16#0100_0000#;
+   Event_25       : constant RTEMS.Event_Set := 16#0200_0000#;
+   Event_26       : constant RTEMS.Event_Set := 16#0400_0000#;
+   Event_27       : constant RTEMS.Event_Set := 16#0800_0000#;
+   Event_28       : constant RTEMS.Event_Set := 16#1000_0000#;
+   Event_29       : constant RTEMS.Event_Set := 16#2000_0000#;
+   Event_30       : constant RTEMS.Event_Set := 16#4000_0000#;
+   Event_31       : constant RTEMS.Event_Set := 16#8000_0000#;
 
    --
Index: cpukit/ada/rtems.ads
===================================================================
--- cpukit/ada/rtems.ads	(revision c1ef8346c35b6694fabfadd334b301ac41592c8d)
+++ cpukit/ada/rtems.ads	(revision 4c3340ced8ad09f24b7c285ef481ba8622501785)
@@ -452,37 +452,38 @@
    --
 
-   All_Events : constant RTEMS.Event_Set := 16#7FFFFFFF#;
-   Event_0    : constant RTEMS.Event_Set := 16#00000001#;
-   Event_1    : constant RTEMS.Event_Set := 16#00000002#;
-   Event_2    : constant RTEMS.Event_Set := 16#00000004#;
-   Event_3    : constant RTEMS.Event_Set := 16#00000008#;
-   Event_4    : constant RTEMS.Event_Set := 16#00000010#;
-   Event_5    : constant RTEMS.Event_Set := 16#00000020#;
-   Event_6    : constant RTEMS.Event_Set := 16#00000040#;
-   Event_7    : constant RTEMS.Event_Set := 16#00000080#;
-   Event_8    : constant RTEMS.Event_Set := 16#00000100#;
-   Event_9    : constant RTEMS.Event_Set := 16#00000200#;
-   Event_10   : constant RTEMS.Event_Set := 16#00000400#;
-   Event_11   : constant RTEMS.Event_Set := 16#00000800#;
-   Event_12   : constant RTEMS.Event_Set := 16#00001000#;
-   Event_13   : constant RTEMS.Event_Set := 16#00002000#;
-   Event_14   : constant RTEMS.Event_Set := 16#00004000#;
-   Event_15   : constant RTEMS.Event_Set := 16#00008000#;
-   Event_16   : constant RTEMS.Event_Set := 16#00010000#;
-   Event_17   : constant RTEMS.Event_Set := 16#00020000#;
-   Event_18   : constant RTEMS.Event_Set := 16#00040000#;
-   Event_19   : constant RTEMS.Event_Set := 16#00080000#;
-   Event_20   : constant RTEMS.Event_Set := 16#00100000#;
-   Event_21   : constant RTEMS.Event_Set := 16#00200000#;
-   Event_22   : constant RTEMS.Event_Set := 16#00400000#;
-   Event_23   : constant RTEMS.Event_Set := 16#00800000#;
-   Event_24   : constant RTEMS.Event_Set := 16#01000000#;
-   Event_25   : constant RTEMS.Event_Set := 16#02000000#;
-   Event_26   : constant RTEMS.Event_Set := 16#04000000#;
-   Event_27   : constant RTEMS.Event_Set := 16#08000000#;
-   Event_28   : constant RTEMS.Event_Set := 16#10000000#;
-   Event_29   : constant RTEMS.Event_Set := 16#20000000#;
-   Event_30   : constant RTEMS.Event_Set := 16#40000000#;
-   Event_31   : constant RTEMS.Event_Set := 16#80000000#;
+   Pending_Events : constant RTEMS.Event_Set := 16#0000_0000#;
+   All_Events     : constant RTEMS.Event_Set := 16#FFFF_FFFF#;
+   Event_0        : constant RTEMS.Event_Set := 16#0000_0001#;
+   Event_1        : constant RTEMS.Event_Set := 16#0000_0002#;
+   Event_2        : constant RTEMS.Event_Set := 16#0000_0004#;
+   Event_3        : constant RTEMS.Event_Set := 16#0000_0008#;
+   Event_4        : constant RTEMS.Event_Set := 16#0000_0010#;
+   Event_5        : constant RTEMS.Event_Set := 16#0000_0020#;
+   Event_6        : constant RTEMS.Event_Set := 16#0000_0040#;
+   Event_7        : constant RTEMS.Event_Set := 16#0000_0080#;
+   Event_8        : constant RTEMS.Event_Set := 16#0000_0100#;
+   Event_9        : constant RTEMS.Event_Set := 16#0000_0200#;
+   Event_10       : constant RTEMS.Event_Set := 16#0000_0400#;
+   Event_11       : constant RTEMS.Event_Set := 16#0000_0800#;
+   Event_12       : constant RTEMS.Event_Set := 16#0000_1000#;
+   Event_13       : constant RTEMS.Event_Set := 16#0000_2000#;
+   Event_14       : constant RTEMS.Event_Set := 16#0000_4000#;
+   Event_15       : constant RTEMS.Event_Set := 16#0000_8000#;
+   Event_16       : constant RTEMS.Event_Set := 16#0001_0000#;
+   Event_17       : constant RTEMS.Event_Set := 16#0002_0000#;
+   Event_18       : constant RTEMS.Event_Set := 16#0004_0000#;
+   Event_19       : constant RTEMS.Event_Set := 16#0008_0000#;
+   Event_20       : constant RTEMS.Event_Set := 16#0010_0000#;
+   Event_21       : constant RTEMS.Event_Set := 16#0020_0000#;
+   Event_22       : constant RTEMS.Event_Set := 16#0040_0000#;
+   Event_23       : constant RTEMS.Event_Set := 16#0080_0000#;
+   Event_24       : constant RTEMS.Event_Set := 16#0100_0000#;
+   Event_25       : constant RTEMS.Event_Set := 16#0200_0000#;
+   Event_26       : constant RTEMS.Event_Set := 16#0400_0000#;
+   Event_27       : constant RTEMS.Event_Set := 16#0800_0000#;
+   Event_28       : constant RTEMS.Event_Set := 16#1000_0000#;
+   Event_29       : constant RTEMS.Event_Set := 16#2000_0000#;
+   Event_30       : constant RTEMS.Event_Set := 16#4000_0000#;
+   Event_31       : constant RTEMS.Event_Set := 16#8000_0000#;
 
    --
